<?php

namespace app\admin\model\fastim;

use think\Model;
use traits\model\SoftDelete;

class CsrGroup extends Model
{

    use SoftDelete;


    // 表名
    protected $name = 'fastim_csr_group';

    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'int';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = false;
    protected $deleteTime = 'deletetime';

    // 追加属性
    protected $append = [
        'status_text',
        'csr_number'
    ];


    protected static function init()
    {
        self::afterInsert(function ($row) {
            $pk = $row->getPk();
            $row->getQuery()->where($pk, $row[$pk])->update(['weigh' => $row[$pk]]);
        });
    }


    public function getStatusList()
    {
        return ['0' => __('Status 0'), '1' => __('Status 1')];
    }


    public function getStatusTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['status']) ? $data['status'] : '');
        $list  = $this->getStatusList();
        return isset($list[$value]) ? $list[$value] : '';
    }

    public function getCsrNumberAttr($value, $data)
    {
        return \think\Db::name('fastim_user')->where('type', 'csr')->where('group_id', $data['id'])->count('id');
    }

}
