<?php

namespace app\api\controller;

use app\admin\model\family\Namecard;
use app\common\controller\Api;

/**
 * 首页接口
 */
class Index extends Api
{
    protected $noNeedLogin = ['*'];
    protected $noNeedRight = ['*'];

    /**
     * 首页
     *
     */
    public function index()
    {
        $this->success('请求成功');
    }

    /**
     * @description: 炎黄儿女升级接口
     * @param {type}
     * @return:
     */
    public function upgrade()
    {
        $data = [];
        $data['name'] = "炎黄儿女";
        $data['ipa_version'] = "";
        $data['apk_version'] = "1.3.28";
        $data['ipa_address'] = "";
        $data['apk_address'] = "https://zp.xicheda.com/applet/app/1.3.28.apk";
        $data['offer_closed'] = 1;//0开启，1关闭
        $data['im_msg_text'] = "对方还未认领，请通知对方及时认领";
        $this->success('请求成功',$data);
    }

    /**
     * @description: 扫码进入，判断此券有无被绑定
     * @param {type}
     * @return:
     */
    public function scanNameCard()
    {
        $card_number = $this->request->post('card_number', ''); //券编号
        $namecard = Namecard::where(['card_number' => $card_number,'status' =>1])->find();
        if(!$namecard){
            $this->error('此卡已被冻结');
        }
        if ($namecard['user_id']) {
            $this->error('此卡已被激活');
        } else {
            $this->success('此卡可绑', ['namecard' => $namecard]);
        }
    }
}
